v.db.addcol(1)

NAME
v.db.addcol - Adds one or more columns to the attribute table connected to a given vector map

KEYWORDS
vector, database, attribute table

SYNOPSIS
v.db.addcol
v.db.addcol help
v.db.addcol map=name [layer=integer] columns=string

  Parameters:

map=name
    Vector map for which to edit attribute table

layer=integer
    Layer where to add column Default: 1

columns=string
    Name and type of the new column(s) (types depend on database backend, but all support VARCHAR, INT, DOUBLE PRECISION/REAL and DATE)

DESCRIPTION
v.db.addcol adds one or more column(s) to the attribute table connected to a given vector map. It automatically checks the connection for the specified layer.

NOTES
v.db.addcol is a front-end to db.execute to allow easier usage. The supported types of columns depend on the database backend. However, all backends should support VARCHAR, INT, DOUBLE/REAL and DATE. The default dbf backend supports only these types. The existing database connection(s) can be verified with v.db.connect.

EXAMPLES
Adding a single column:
v.db.addcol sentiero_brenta_points columns="slope double precision"
v.info -c sentiero_brenta_points

Adding two columns:
v.db.addcol sentiero_brenta_points columns="slope double precision,myname varchar(15)"
v.info -c sentiero_brenta_points

SEE ALSO
db.execute, v.db.addtable, v.db.connect, v.db.droptable, v.db.select, v.db.update

AUTHOR
Moritz Lennert (mlennert@club.worldonline.be)

Last changed: $Date: 2005/11/15 08:47:49 $

Full index